Skip to main content
Platform Operations/Platforms

GetHealthStats

Get aggregated health statistics including pass rate and average latency.

GET/api/v1/platforms/{uuid}/health-stats

Operation ID

GetHealthStats

Since

1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    UUID of the platform to get statistics for

Query Parameters

  • days
    Integer

    Number of days of historical data to include in the statistics Number of days of historical data to include in the statistics

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalChecks
    Integer

    Total number of health checks executed

    Example: 100

  • passedChecks
    Integer

    Number of health checks that passed

    Example: 95

  • failedChecks
    Integer

    Number of health checks that failed

    Example: 5

  • healthRate
    Long

    Percentage of checks that passed (0.0 to 1.0)

    Example: 0.95

  • avgLatencyMs
    String

    Average latency in milliseconds across all checks

    Example: 85

Change History

This API has no change history records yet.

View all change history